Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.lookup
Class ContextMapLookup

    java.lang.Object
      org.apache.logging.log4j.core.lookup.ContextMapLookup

All Implemented Interfaces:
  StrLookup

    @Plugin(name="ctx",
            category="Lookup")
    public class ContextMapLookup

extends Object
implements StrLookup

Looks up keys from `ThreadContext` objects..

Field Summary

Fields inherited from interface org.apache.logging.log4j.core.lookup.StrLookup
`CATEGORY`

Constructor Summary
`ContextMapLookup()`

Method Summary
`String` | `lookup(LogEvent event, String key)` Looks up the value from the ThreadContext Map.
`String` | `lookup(String key)` Looks up the value from the ThreadContext Map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextMapLookup

    public ContextMapLookup()

Method Detail

### lookup

    public String lookup(String key)

  Looks up the value from the ThreadContext Map.

  Specified by:
    `lookup` in interface `StrLookup`
  Parameters:
    `key` - the key to be looked up, may be null
  Returns:
    The value associated with the key.

### lookup

    public String lookup(LogEvent event,
                         String key)

  Looks up the value from the ThreadContext Map.

  Specified by:
    `lookup` in interface `StrLookup`
  Parameters:
    `event` - The current LogEvent.
    `key` - the key to be looked up, may be null
  Returns:
    The value associated with the key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.